/***************************************************************************
 *   Copyright (C) 2007 by    *
 *      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef laserinterlock_H
#define laserinterlock_H

#include "ui_laserinterlock.h"
#include <tango.h>
#include <QProcess>
#include <QSettings>

class laserinterlock: public QWidget
{
    Q_OBJECT

public:
    laserinterlock(QWidget * =NULL);
    ~laserinterlock();

public slots:
    void open_laserscreens();
    void open_fel1screens();
    void open_fel2screens();

private:
    Ui::laserinterlock ui;
    QProcess *laserscreens_process;
    QProcess *fel1screens_process;
    QProcess *fel2screens_process;
    QString imgpath;
};


#endif
